fix security issue master
authorBenjamin Mako Hill <mako@ephesus.xvm.mit.edu>
Wed, 9 Jan 2013 16:43:27 +0000 (11:43 -0500)
committerBenjamin Mako Hill <mako@atdot.cc>
Wed, 9 Jan 2013 16:45:33 +0000 (11:45 -0500)
config/environment.rb

index 28ecf9e..802b3b9 100644 (file)
@@ -147,3 +147,8 @@ GeoKit::Geocoders::geocoder_ca = false
 # various geocoders.  Make sure you read up on relevant Terms of Use for each
 # geocoder you are going to use.
 GeoKit::Geocoders::provider_order = [:google,:us]
+
+# fix major security vulnerability: 
+# https://groups.google.com/forum/#!topic/rubyonrails-security/61bkgvnSGTQ/discussion
+ActionController::Base.param_parsers.delete(Mime::XML)
+

Benjamin Mako Hill || Want to submit a patch?